function [local_data] = localize (iel, in_data)
%  localize: Localize global data at the local element level
%
%  local_data.mater = [elt# prop1 prop2 prop3 prop4 prop5 ] For material type
%
%  local_data.coords = [ x1 x2 x3 of node 1;
%                        x1 x2 x3 of node 2; ...etc]
%
%  local_data.dofs   = [ dof1 dof2 dof3.....  ] Global dofs attached to local dofs
%
%
% Define global system variables
%
  nodes           = in_data.control(1);
  numel           = in_data.control(2);
  nodaldof        = in_data.control(3);
  nodesperelement = in_data.control(4);
  numat           = in_data.control(5);
  ndimensions     = in_data.control(6);
%
% ----------------------------------------------Zero arrays 
  local_data.mater   = zeros(1,6);
  local_data.coords  = zeros(nodesperelement,ndimensions);
  local_data.dofs    = zeros(1,nodesperelement*nodaldof);
% ----------------------------------------------Add local data to arrays
    material_number = in_data.EL(iel,2);  
%----------------------------------------------- Material data
    local_data.mater   = in_data.mater(material_number,1:6);                      
%----------------------------------------------- Coordinate data
        for inodes=1:nodesperelement                                              
            local_data.coords(inodes,1:ndimensions) = in_data.ND(in_data.EL(iel,2+inodes),2:ndimensions+1) 
        end
%----------------------------------------------- dof data (currently max 4 dof per node)
        for inodes=1:nodesperelement
            globalnode = in_data.EL(iel,2+inodes);
            startdof   = (globalnode-1)*nodaldof ;                              
            for idof=1:nodaldof
            local_data.dofs(1,(inodes-1)*nodaldof+idof) = startdof+idof;  
            end
        end